# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

config :clacks, :instance, name: "Clacks"

config :clacks, :frontend, unauthenticated_homepage: :public_timeline

config :clacks,
  ecto_repos: [Clacks.Repo]

# Configures the endpoint
config :clacks, ClacksWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "l8cCNajlvplPAb85MMPVcLXUfTgCHnKzCFEJUJGYop6jyUiI59aeVCHkGms5A0pZ",
  render_errors: [view: ClacksWeb.ErrorView, accepts: ~w(html json)],
  pubsub: [name: Clacks.PubSub, adapter: Phoenix.PubSub.PG2]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

config :mime, :types, %{
  "application/activity+json" => ["activity+json"]
}

config :http_signatures, adapter: Clacks.SignatureAdapter

config :clacks, Oban,
  repo: Clacks.Repo,
  prune: {:maxlen, 10_000},
  queues: [federate: 10]

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
